vserver

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von traster, 21.04.2006.

  1. #1 traster, 21.04.2006
    traster

    traster Routinier

    Dabei seit:
    25.11.2003
    Beiträge:
    297
    Zustimmungen:
    0
    hallo

    Reading Package Lists... Done
    Building Dependency Tree... Done
    You might want to run `apt-get -f install' to correct these.
    Sorry, but the following packages have unmet dependencies:
    dselect: Depends: libstdc++5 (>= 1:3.3.4-1) but it is not installed
    E: Unmet dependencies. Try using -f.

    das ist die erste fehler meldung

    Reading Package Lists... Done
    Building Dependency Tree... Done
    Correcting dependencies... Done
    The following extra packages will be installed:
    libstdc++5
    The following NEW packages will be installed:
    libstdc++5
    0 packages upgraded, 1 newly installed, 0 to remove and 42 not upgraded.
    1 packages not fully installed or removed.
    Need to get 0B/294kB of archives. After unpacking 831kB will be used.
    Do you want to continue? [Y/n]
    (Reading database ... 24176 files and directories currently installed.)
    Unpacking libstdc++5 (from .../libstdc++5_1%3a3.3.5-13_i386.deb) ...
    dpkg: error processing /var/cache/apt/archives/libstdc++5_1%3a3.3.5-13_i386.deb (--unpack):
    trying to overwrite `/usr/lib/libstdc++.so.5', which is also in package libstdc++5.0
    Errors were encountered while processing:
    /var/cache/apt/archives/libstdc++5_1%3a3.3.5-13_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    das die zwote

    ist ein vserver mit uname -a Linux vl14s06 2.4.28-vs1.29 #1 Thu Dec 9 21:59:39 CET 2004 i686 GNU/Linux

    kernel kann man nicht aendern !

    deb ftp://ftp.de.debian.org/debian stable main contrib non-free
    deb ftp://ftp.de.debian.org/debian-security sarge/updates main contrib non-free

    das ist die sources.list

    kann mir jemand helfen ?

    mfg traster
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Meriana, 21.04.2006
    Meriana

    Meriana Jungspund

    Dabei seit:
    21.04.2006
    Beiträge:
    24
    Zustimmungen:
    0
  4. #3 Goodspeed, 21.04.2006
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Was sind denn das für 42 Pakete, die er eigentlich upgraden möchte??
     
  5. #4 traster, 21.04.2006
    Zuletzt bearbeitet: 21.04.2006
    traster

    traster Routinier

    Dabei seit:
    25.11.2003
    Beiträge:
    297
    Zustimmungen:
    0
    ? fehlerhaftes apt-get ????
    also ich tippe mal das mit einer anderen sources.list kann man wohl was retten
    oder mal ein tip wie man diese lib dateien ueberlisten kann
    mfg traster
    p.s. das problem was ich hab gibt es wohl mal wieder nicht
    habe diese lib..xxx+++ datein noch nirgends gefunden / google
    ich kann sie auf meinem system auch loeschen nur ist sie dann ploetzlich wieder
    da

    edit : Goodspeed das sind normale !? also da war z.b. wget usw dabei manche konnte ich so
    installieren nur nun geht nichts mehr
     
  6. #5 Goodspeed, 21.04.2006
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Naja ... zur Not tut es ein
    Code:
    apt-get install --force-yes libstdc++5
    
    Was will er denn alles wegschmeißen, wenn Du das Paket libstdc++5.0 deinstallieren willst?
    Bzw. ... wo kommt das Pakete her?
    Code:
    apt-cache policy libstdc++5.0
    
    bzw.
    Code:
    apt-cache show libstdc++5.0
    
     
  7. #6 traster, 21.04.2006
    Zuletzt bearbeitet: 21.04.2006
    traster

    traster Routinier

    Dabei seit:
    25.11.2003
    Beiträge:
    297
    Zustimmungen:
    0
    vl14s06:/home/traster# apt-get install --force-yes libstdc++5
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following NEW packages will be installed:
    libstdc++5
    0 packages upgraded, 1 newly installed, 0 to remove and 42 not upgraded.
    1 packages not fully installed or removed.
    Need to get 0B/294kB of archives. After unpacking 831kB will be used.
    (Reading database ... 24176 files and directories currently installed.)
    Unpacking libstdc++5 (from .../libstdc++5_1%3a3.3.5-13_i386.deb) ...
    dpkg: error processing /var/cache/apt/archives/libstdc++5_1%3a3.3.5-13_i386.deb (--unpack):
    trying to overwrite `/usr/lib/libstdc++.so.5', which is also in package libstdc++5.0
    Errors were encountered while processing:
    /var/cache/apt/archives/libstdc++5_1%3a3.3.5-13_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    vl14s06:/home/traster#

    das passiert bei deinem ersten tip

    vl14s06:/home/traster# apt-cache policy libstdc++5.0
    libstdc++5.0:
    Installed: 3.2.2-28969
    Candidate: 3.2.2-28969
    Version Table:
    *** 3.2.2-28969 0
    100 /var/lib/dpkg/status
    vl14s06:/home/traster#

    das bei deinem zwoten / daraus werde ich ueberhaupt nicht schlau !


    vl14s06:/home/traster# apt-cache show libstdc++5.0
    Package: libstdc++5.0
    Status: install ok installed
    Priority: extra
    Section: alien
    Installed-Size: 712
    Maintainer: traster <traster@localhost>
    Version: 3.2.2-28969
    Depends: libc6 (>= 2.2.4-4), libgcc1 (>= 1:3.0.3-1)
    Description: GNU c++ library
    The libstdc++ package contains a snapshot of the GCC Standard C++
    Library v3, an ongoing project to implement the ISO 14882 Standard C++
    library.
    .
    (Converted from a rpm package by alien.)

    und das ist bei nummer drei

    aber alles in allem bleibt apt-get upgrade sowie dist-upgrade immer haengen
    an der datei
     
  8. #7 Goodspeed, 21.04.2006
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Das haste also selber verbrochen ...

    Was passiert denn bei
    Code:
    apt-get remove libstdc++5.0 -s
    
    Das "-s" ist wichtig ...
     
  9. #8 traster, 21.04.2006
    Zuletzt bearbeitet: 21.04.2006
    traster

    traster Routinier

    Dabei seit:
    25.11.2003
    Beiträge:
    297
    Zustimmungen:
    0
    was wieso ich ???
    und wie hab ich das geschafft ?
    ok hier erstmal die ausgabe und vorweg vielen dank

    vl14s06:/# apt-get remove libstdc++5 -s
    Reading Package Lists... Done
    Building Dependency Tree... Done
    Package libstdc++5 is not installed, so not removed
    You might want to run `apt-get -f install' to correct these:
    Sorry, but the following packages have unmet dependencies:
    dselect: Depends: libstdc++5 (>= 1:3.3.4-1) but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

    es geht nicht weg und nicht neu und nicht ?????
    diese lib datein treiben mich in den wahnsinn so eine art .dll dateien
    unter windows ;-)

    nochwas ich weiss nicht warum du traster fett gemacht hast ?
    traster ist dort kein root !!!!!
     
  10. #9 Goodspeed, 21.04.2006
    Zuletzt bearbeitet: 21.04.2006
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Schau nochmal ... ich hatte .0 vergessen ;)

    traster hat das Paket erstellt ... k.A. wie Du (oder wer auch immer sich als jener ausgibt) das Ding dann reingekloppt hat ...
     
  11. #10 traster, 21.04.2006
    traster

    traster Routinier

    Dabei seit:
    25.11.2003
    Beiträge:
    297
    Zustimmungen:
    0
    vl14s06:/# apt-get remove libstdc++5.0 -s
    Reading Package Lists... Done
    Building Dependency Tree... Done
    You might want to run `apt-get -f install' to correct these:
    Sorry, but the following packages have unmet dependencies:
    dselect: Depends: libstdc++5 (>= 1:3.3.4-1) but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

    gleicher fehler


    ! hat das was zu sagen ?
    vl14s06:/# apt-cache search libstdc++
    gccchecker - Memory access debugger for C language development
    lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
    libg++2.8.1.3-dbg - The GNU C++ extension library - debugging files
    libgmp3-dev - Multiprecision arithmetic library developers tools
    libstdc++2.10-dbg - The GNU stdc++ library (debugging files)
    libstdc++2.10-dev - The GNU stdc++ library (development files)
    libstdc++2.10-glibc2.2 - The GNU stdc++ library
    libstdc++5 - The GNU Standard C++ Library v3
    libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
    libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
    libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
    libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)libstdc++6 - The GNU Standard C++ Library v3
    libstdc++6-dbg - The GNU Standard C++ Library v3 (debugging files)
    libstdc++6-dev - The GNU Standard C++ Library v3 (development files)
    libstdc++6-doc - The GNU Standard C++ Library v3 (documentation files)
    libstdc++6-pic - The GNU Standard C++ Library v3 (shared library subset kit)
    libstdc++5.0 - GNU c++ library
    libstdc++3 - The GNU stdc++ library version 3
     
  12. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  13. #11 Goodspeed, 21.04.2006
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Und was gibt
    Code:
    apt-get remove dselect -s
    
    ... kann man ja später wieder installieren, wenn das krumme Paket weg ist ...
     
  14. #12 traster, 21.04.2006
    Zuletzt bearbeitet: 21.04.2006
    traster

    traster Routinier

    Dabei seit:
    25.11.2003
    Beiträge:
    297
    Zustimmungen:
    0
    hier die loesung im icq von Goodspeed und mir:
    sozuschreiben step bei step mit allen tuecken und problemen

    23:21:50) traster: hi
    (23:21:57) Goodspeed: Hi ...
    (23:22:13) traster: boah linux ich weine bald :-)
    (23:22:23) Goodspeed: Was machste das auch kaputt? *G*
    (23:22:43) traster: ich bekomme alles hin aber nichts wirklich heile

    (23:24:06) Goodspeed: geh mal nach /var/cache/apt/archives und versuch mal
    dpkg -i --force-all libstdc++5_1%3a3.3.5-13_i386.deb

    (23:24:15) traster: ok mom
    (23:24:55) traster: vl14s06:/var/cache/apt/archives# dpkg -i --force-all libstdc++5_1%3a3.3.5-13_i38 6.deb
    (Reading database ... 24176 files and directories currently installed.)
    Unpacking libstdc++5 (from libstdc++5_1%3a3.3.5-13_i386.deb) ...
    dpkg - warning, overriding problem because --force enabled:
    trying to overwrite `/usr/lib/libstdc++.so.5', which is also in package libstdc ++5.0
    Setting up libstdc++5 (3.3.5-13) ...
    (23:25:10) Goodspeed: Sieht doch gut aus ...
    (23:25:28) traster: warum ? keine fehler meldung ?
    (23:25:32) Goodspeed: und jetzt noch apt-get remove libstdc ++5.0
    (23:25:40) Goodspeed: warning != error
    (23:25:53) traster: vl14s06:/var/cache/apt/archives# apt-get remove libstdc ++5.0
    Reading Package Lists... Done
    Building Dependency Tree... Done
    E: Couldn't find package libstdc
    vl14s06:/var/cache/apt/archives#

    (23:26:07) Goodspeed: Da ist n SPACE zu viel ...
    (23:26:23) Goodspeed: apt-get remove libstdc++5.0
    (23:26:37) traster: vl14s06:/var/cache/apt/archives# apt-get remove libstdc++5.0
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following packages will be REMOVED:
    libstdc++5.0
    0 packages upgraded, 0 newly installed, 1 to remove and 42 not upgraded.
    1 packages not fully installed or removed.
    Need to get 0B of archives. After unpacking 729kB will be freed.
    Do you want to continue? [Y/n]

    (23:26:46) traster: y/n ?
    (23:26:50) traster: Y
    (23:26:51) Goodspeed: yes ... ganz tapfer
    (23:26:55) traster: ok
    (23:27:18) traster: Do you want to continue? [Y/n] Y
    (Reading database ... 24181 files and directories currently installed.)
    Removing libstdc++5.0 ...
    Setting up dselect (1.10.28) ..
    (23:27:29) Goodspeed: und jetzt sicherheitshalber nochmal

    apt-get install --reinstall libstdc++5

    (23:27:42) traster: ? kein apt-get upgrade ?
    (23:27:48) Goodspeed: Später
    (23:27:51) traster: ok
    (23:28:20) traster: ok alles gut durchgelaufen
    (23:28:34) Goodspeed: Dann sollte jetzt auch das upgrade funktionieren ...
    (23:28:44) traster: ok ich probier es mal
    (23:29:14) traster: vl14s06:/var/cache/apt/archives# apt-get upgrade
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following packages have been kept back
    analog bind9-host cpp debhelper dnsutils e2fsprogs g++ gcc gettext-el gnupg
    iamerican ibritish ingerman ispell libgd1 libpng2 lilo ltrace lyx mc mount
    mutt python python-newt reportbug sysvinit util-linux vacation wenglish whois
    wngerman xlibs
    10 packages upgraded, 0 newly installed, 0 to remove and 32 not upgraded.
    Need to get 13.4MB of archives. After unpacking 11.4MB will be used.
    Do you want to continue? [Y/n]

    (23:29:48) Goodspeed: Na dann mach mal ...
    (23:30:03) traster: laeuft :-)
    (23:30:06) traster: erstmal
    (23:30:26) Goodspeed: Um die 32 restlichen muss man sich eventuell per dist-upgrade kümmern ...
    (23:30:33) traster: wofuer ist das was wir geloescht haben ?
    (23:30:44) traster: und wie hab ich das kaputt gemacht ?
    (23:30:48) Goodspeed: ... kann sein, dass er da was löschen will ...
    (23:30:56) Goodspeed: Was haben wir gelöscht?
    (23:31:12) traster: na diese lib datei
    (23:32:36) Goodspeed: Um genau zu sein, haben wir ein Paket ausgetauscht.

    Wie es reingekommen ist? Naja .. es hat "gesagt", Du hättest es per alien erstellt ... und dann installiert.
    Solche Sachen sind immer heikel .. vor allem bei Systembibliotheken wie der libstdc++ ...
    (23:33:09) traster: wie hab ich das denn gemacht ? arbeite nur mit apt-get
    (23:33:41) Goodspeed: Hmmm ... ich weiß nicht, wer bei Dir noch so Zugriff hat ...
    (23:34:06) traster: hmmm laut log die letzten monate keiner
    (23:34:32) traster: so dist-upgrade laeuft auch noch
    (23:35:08) Goodspeed: Hmmm ...
    (23:36:06) traster: naja ist nicht so wichtig / als alien bedeutet was genau ? z.b mit wget ein .deb datei und dann installieren so in groben zuegen ?
    (23:38:06) Goodspeed: Nein, mit alien kannste Pakete amwandeln ... also z.B. ein rpm in ein deb oder umgedreht ... und noch einige andere mehr ...

    wget ist nur ein "Downloadprogramm" ...
    (23:38:20) Goodspeed: amwandeln -> umwandeln
    (23:38:48) traster: ok klar wget logisch ;-) aber umgewandelt hab ich bestimmt nix weiss garnicht wie das geht
    (23:39:29) Goodspeed: Sagen wir so ... von alleine ist es nicht gekommen und auch nicht von einem offiziellen Mirror ... den Rest kannste Dir alleinzusammen reimen ;)
    (23:40:26) traster: ok dann muss es wohl doch jemand auf dem server gemacht haben
    (23:41:55) traster: vl14s06:/var/cache/apt/archives# apt-get update
    Hit ftp://ftp.de.debian.org sarge/main Packages
    Hit ftp://ftp.de.debian.org sarge/main Release
    Hit ftp://ftp.de.debian.org sarge/contrib Packages
    Hit ftp://ftp.de.debian.org sarge/contrib Release
    Hit ftp://ftp.de.debian.org sarge/non-free Packages
    Hit ftp://ftp.de.debian.org sarge/non-free Release
    Hit ftp://ftp.de.debian.org stable/main Packages
    Hit ftp://ftp.de.debian.org stable/main Release
    Hit ftp://ftp.de.debian.org stable/contrib Packages
    Hit ftp://ftp.de.debian.org stable/contrib Release
    Hit ftp://ftp.de.debian.org stable/non-free Packages
    Hit ftp://ftp.de.debian.org stable/non-free Release
    Hit ftp://ftp.de.debian.org sarge/updates/main Packages
    Hit ftp://ftp.de.debian.org sarge/updates/main Release
    Hit ftp://ftp.de.debian.org sarge/updates/contrib Packages
    Hit ftp://ftp.de.debian.org sarge/updates/contrib Release
    Hit ftp://ftp.de.debian.org sarge/updates/non-free Packages
    Hit ftp://ftp.de.debian.org sarge/updates/non-free Release
    Reading Package Lists... Done
    vl14s06:/var/cache/apt/archives# apt-get dist-upgrade
    Reading Package Lists... Done
    Building Dependency Tree... Done
    Calculating Upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    vl14s06:/var/cache/apt/archives#


    (23:42:33) traster: tausend dank jetzt ist wieder alles in debian aeh gut am laufen du bist echt super
    (23:43:25) Goodspeed: Man tut, was man kann ;)
    (23:43:42) traster: magst du unser icq gespraech noch unten dran posten damit es als geloehst gilt ?
    (23:44:16) Goodspeed: Tu Dir keinen Zwang an ... kannst ja die uninteressanten Parts rausschneiden ... *g*
    (23:44:42) traster: ok versuche ich und stell es ein danke noch mal
    (23:44:56) Goodspeed: np
    (23:45:10) Goodspeed: Schönen Abend noch ...
    (23:45:27) traster: dir auch danke

    so nochmal vielen dank

    p.s. icq protokoll nach absprache gepostet !
     
Thema:

vserver

Die Seite wird geladen...

vserver - Ähnliche Themen

  1. Traffic messen mit Nagios3 auf Debian-vServer

    Traffic messen mit Nagios3 auf Debian-vServer: Hallo Leute, ich habe einen vServer bei Server4You auf dem Debian und Nagios installiert sind. Jetzt möchte ich mit Nagios für jedes Monat den...
  2. iptables Problem auf Linux vServer

    iptables Problem auf Linux vServer: Hallo, mein iptables will irgendwie nicht loggen. Hier ist meine /etc/iptables.rules: # Generated by iptables-save v1.4.4 on Sat Aug 27...
  3. vServer + TrueCrypt

    vServer + TrueCrypt: Moin Moin, ich möchte TrueCrypt auf einem vServer mit OpenSuse 11.3 benutzen. True Crypt bekomme ich installiert, ich kann auch Container...
  4. VServer kostenlos

    VServer kostenlos: EUServ bietet bis Ende des Jahres als Betatest kostenlose vServer an. Wer Interresse hat einfach eine PN an mich mit euren Namen und...
  5. VServer

    VServer: Hallo Ich habe einen Strato VServer C. Nun versuche ich Glassfish daruaf zu installieren. Leider gibt mir die Konsole folgende GFehlermeldung...